<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: DayZPlayerImplementAiming Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/d80/class_day_z_player_implement_aiming.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">DayZPlayerImplementAiming Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a376634f13b9ffb562717c0e1c2ac9980"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#a376634f13b9ffb562717c0e1c2ac9980">DayZPlayerImplementAiming</a> (<a class="el" href="../../d3/d85/class_day_z_player_implement.html">DayZPlayerImplement</a> player)</td></tr>
<tr class="separator:a376634f13b9ffb562717c0e1c2ac9980"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91fa5e1dea3799c9aad7d386527db11a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#a91fa5e1dea3799c9aad7d386527db11a">SetRecoil</a> (<a class="el" href="../../d3/d9c/class_weapon___base.html">Weapon_Base</a> weapon)</td></tr>
<tr class="separator:a91fa5e1dea3799c9aad7d386527db11a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6fd70e008b079f78cb8819bba50e3f32"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#a6fd70e008b079f78cb8819bba50e3f32">RequestKuruShake</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> amount)</td></tr>
<tr class="separator:a6fd70e008b079f78cb8819bba50e3f32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac274efa52a72401a258e2d773f883336"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#ac274efa52a72401a258e2d773f883336">OnRaiseBegin</a> (<a class="el" href="../../d3/d85/class_day_z_player_implement.html">DayZPlayerImplement</a> player)</td></tr>
<tr class="separator:ac274efa52a72401a258e2d773f883336"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc1680079a3691790f8bb3702e2722f6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#acc1680079a3691790f8bb3702e2722f6">OnFinisherBegin</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> currentAimY)</td></tr>
<tr class="separator:acc1680079a3691790f8bb3702e2722f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af59b515adb5466085f35d43946e59e62"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#af59b515adb5466085f35d43946e59e62">OnSwayStateChange</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> state)</td></tr>
<tr class="separator:af59b515adb5466085f35d43946e59e62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc98091ae1254626687043e0bb6ed1f3"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#abc98091ae1254626687043e0bb6ed1f3">GetSwayWeight</a> ()</td></tr>
<tr class="separator:abc98091ae1254626687043e0bb6ed1f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ee08293f5120d82dcebb708ffce1347"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#a7ee08293f5120d82dcebb708ffce1347">SetAimNoiseAllowed</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> state)</td></tr>
<tr class="separator:a7ee08293f5120d82dcebb708ffce1347"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d9ac56d40bba9c2f335539c06f1cd89"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#a3d9ac56d40bba9c2f335539c06f1cd89">SetProceduralRecoilEnabled</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> state)</td></tr>
<tr class="separator:a3d9ac56d40bba9c2f335539c06f1cd89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63f485cf629035fe863a297da21937ce"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#a63f485cf629035fe863a297da21937ce">SetCamShakeValues</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> x_axis, <a class="el" href="../../d4/dc3/classfloat.html">float</a> y_axis)</td></tr>
<tr class="separator:a63f485cf629035fe863a297da21937ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac050deeb5cc0ffa05c51f0b98bfe8dff"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#ac050deeb5cc0ffa05c51f0b98bfe8dff">ProcessStealthFilters</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> pDt, <a class="el" href="../../de/d4b/class_s_day_z_player_aiming_model.html">SDayZPlayerAimingModel</a> pModel)</td></tr>
<tr class="separator:ac050deeb5cc0ffa05c51f0b98bfe8dff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb69b3513f7600f5a64fe55e9ffe6ad4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#acb69b3513f7600f5a64fe55e9ffe6ad4">ProcessAimFilters</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> pDt, <a class="el" href="../../de/d4b/class_s_day_z_player_aiming_model.html">SDayZPlayerAimingModel</a> pModel, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> stance_index)</td></tr>
<tr class="separator:acb69b3513f7600f5a64fe55e9ffe6ad4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad83ba2f56d93e56b7d026bc5d6aee633"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#ad83ba2f56d93e56b7d026bc5d6aee633">CalculateSwayMultiplier</a> ()</td></tr>
<tr class="separator:ad83ba2f56d93e56b7d026bc5d6aee633"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a037d2af69ad0b5b3877e1e8b33b504d0"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#a037d2af69ad0b5b3877e1e8b33b504d0">UpdateSwayState</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> state)</td></tr>
<tr class="separator:a037d2af69ad0b5b3877e1e8b33b504d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a1bfe188ba95adb6a7c8a1078967237"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#a0a1bfe188ba95adb6a7c8a1078967237">GetCurrentSwayState</a> ()</td></tr>
<tr class="separator:a0a1bfe188ba95adb6a7c8a1078967237"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af95b5a52b4753dd025e82ef4502e0383"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#af95b5a52b4753dd025e82ef4502e0383">ApplyBreathingPattern</a> (out <a class="el" href="../../d4/dc3/classfloat.html">float</a> x_axis, out <a class="el" href="../../d4/dc3/classfloat.html">float</a> y_axis, <a class="el" href="../../d4/dc3/classfloat.html">float</a> pAmplitude, <a class="el" href="../../d4/dc3/classfloat.html">float</a> pTotalTime, <a class="el" href="../../d4/dc3/classfloat.html">float</a> weight)</td></tr>
<tr class="separator:af95b5a52b4753dd025e82ef4502e0383"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa75ee25797432a28364725a379d2efbd"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#aa75ee25797432a28364725a379d2efbd">ApplyHorizontalNoise</a> (out <a class="el" href="../../d4/dc3/classfloat.html">float</a> x_axis, out <a class="el" href="../../d4/dc3/classfloat.html">float</a> y_axis, <a class="el" href="../../d4/dc3/classfloat.html">float</a> smooth_time, <a class="el" href="../../d4/dc3/classfloat.html">float</a> max_velocity_low, <a class="el" href="../../d4/dc3/classfloat.html">float</a> max_velocity_high, <a class="el" href="../../d4/dc3/classfloat.html">float</a> velocity_modifier, <a class="el" href="../../d4/dc3/classfloat.html">float</a> max_distance, <a class="el" href="../../d4/dc3/classfloat.html">float</a> weight, <a class="el" href="../../d4/dc3/classfloat.html">float</a> pDt)</td></tr>
<tr class="separator:aa75ee25797432a28364725a379d2efbd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a422d6ff44273a1dab0ebf4936edf4f57"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#a422d6ff44273a1dab0ebf4936edf4f57">ApplyShakes</a> (out <a class="el" href="../../d4/dc3/classfloat.html">float</a> x_axis, out <a class="el" href="../../d4/dc3/classfloat.html">float</a> y_axis, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> level)</td></tr>
<tr class="separator:a422d6ff44273a1dab0ebf4936edf4f57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb67ddc5015ad299e06ba838ed452cb5"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#aeb67ddc5015ad299e06ba838ed452cb5">CalculateWeight</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> stance_index, <a class="el" href="../../d4/dc3/classfloat.html">float</a> current_stamina, <a class="el" href="../../d4/dc3/classfloat.html">float</a> camera_sway_modifier, <a class="el" href="../../d9/db9/classbool.html">bool</a> holding_breath)</td></tr>
<tr class="separator:aeb67ddc5015ad299e06ba838ed452cb5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a381b69db33ce6cb3e1922fe502dba684"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#a381b69db33ce6cb3e1922fe502dba684">DbgPrintAimingImplement</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> val)</td></tr>
<tr class="separator:a381b69db33ce6cb3e1922fe502dba684"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a744a0165d117333c7b0b10e97e73b2a5"><td class="memItemLeft" align="right" valign="top">protected const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#a744a0165d117333c7b0b10e97e73b2a5">SWAY_WEIGHT_SCALER</a> = 1</td></tr>
<tr class="separator:a744a0165d117333c7b0b10e97e73b2a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a200d64f7d2db2d5748474686312dc8b8"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#a200d64f7d2db2d5748474686312dc8b8">m_HorizontalNoise</a></td></tr>
<tr class="separator:a200d64f7d2db2d5748474686312dc8b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6024ef6da0070a819c3bc2555281dc41"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#a6024ef6da0070a819c3bc2555281dc41">m_HorizontalTargetValue</a></td></tr>
<tr class="separator:a6024ef6da0070a819c3bc2555281dc41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af81f036519765ee432bb4afb7918e4e9"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#af81f036519765ee432bb4afb7918e4e9">m_HorizontalNoiseVelocity</a> [1] = {0}</td></tr>
<tr class="separator:af81f036519765ee432bb4afb7918e4e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a474a799ad1307420d4f5f2333f148d7f"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d3/d85/class_day_z_player_implement.html">DayZPlayerImplement</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#a474a799ad1307420d4f5f2333f148d7f">m_PlayerDpi</a></td></tr>
<tr class="separator:a474a799ad1307420d4f5f2333f148d7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d684d7d97e4740fe655c325dd3d6325"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#a4d684d7d97e4740fe655c325dd3d6325">m_PlayerPb</a></td></tr>
<tr class="separator:a4d684d7d97e4740fe655c325dd3d6325"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a090827eb57417688d46c02d2db813a0a"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#a090827eb57417688d46c02d2db813a0a">m_TotalTime</a></td></tr>
<tr class="separator:a090827eb57417688d46c02d2db813a0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fd1fe594a6d95b13c1a41c854e12c20"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#a7fd1fe594a6d95b13c1a41c854e12c20">m_ReferenceTime</a> = 0</td></tr>
<tr class="separator:a7fd1fe594a6d95b13c1a41c854e12c20"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3214be209f0e750e9db41eccacc12ed"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#ac3214be209f0e750e9db41eccacc12ed">m_SwayStateStartTime</a></td></tr>
<tr class="separator:ac3214be209f0e750e9db41eccacc12ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01dd63ae389b140130fd1a2f923c485f"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#a01dd63ae389b140130fd1a2f923c485f">m_LastSwayMultiplier</a> = PlayerSwayConstants.SWAY_MULTIPLIER_DEFAULT</td></tr>
<tr class="separator:a01dd63ae389b140130fd1a2f923c485f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a291855df24f874c0665000d577985f54"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#a291855df24f874c0665000d577985f54">m_StateStartSwayMultiplier</a></td></tr>
<tr class="separator:a291855df24f874c0665000d577985f54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0cf4235d922a6be4c32fe3264f62ff25"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#a0cf4235d922a6be4c32fe3264f62ff25">m_HorizontalNoiseXAxisOffset</a></td></tr>
<tr class="separator:a0cf4235d922a6be4c32fe3264f62ff25"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37617c72a4557b7667235739d0d72c39"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#a37617c72a4557b7667235739d0d72c39">m_BreathingXAxisOffset</a></td></tr>
<tr class="separator:a37617c72a4557b7667235739d0d72c39"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf0df445a4475cd2c2a6a536800e3451"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#aaf0df445a4475cd2c2a6a536800e3451">m_BreathingYAxisOffset</a></td></tr>
<tr class="separator:aaf0df445a4475cd2c2a6a536800e3451"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5dc0be908be228a10ba0d896418203c6"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#a5dc0be908be228a10ba0d896418203c6">m_HoldingBreathSet</a></td></tr>
<tr class="separator:a5dc0be908be228a10ba0d896418203c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2825fd665f0c5685ecf224f44330d56c"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#a2825fd665f0c5685ecf224f44330d56c">m_AimNoiseAllowed</a> = true</td></tr>
<tr class="separator:a2825fd665f0c5685ecf224f44330d56c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a067b5160a34e88d88e0f47061898fa01"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#a067b5160a34e88d88e0f47061898fa01">m_ProceduralRecoilEnabled</a> = true</td></tr>
<tr class="separator:a067b5160a34e88d88e0f47061898fa01"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee711acbaadd43d0e2d43b9a32f43c2a"><td class="memItemLeft" align="right" valign="top">protected ref <a class="el" href="../../dc/dd0/class_recoil_base.html">RecoilBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#aee711acbaadd43d0e2d43b9a32f43c2a">m_CurrentRecoil</a></td></tr>
<tr class="separator:aee711acbaadd43d0e2d43b9a32f43c2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e90b5fb990bd895024e7a2c5808e3bb"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#a2e90b5fb990bd895024e7a2c5808e3bb">m_ShakeCount</a></td></tr>
<tr class="separator:a2e90b5fb990bd895024e7a2c5808e3bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1356015b667c7fdf52df55a07507512"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#ac1356015b667c7fdf52df55a07507512">m_SwayWeight</a></td></tr>
<tr class="separator:ac1356015b667c7fdf52df55a07507512"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a750b4967c587f1936a1a758813e73922"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#a750b4967c587f1936a1a758813e73922">m_MaxVelocity</a></td></tr>
<tr class="separator:a750b4967c587f1936a1a758813e73922"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c51833d9daf915c40fc67ccc826f178"><td class="memItemLeft" align="right" valign="top">protected ref <a class="el" href="../../d4/d05/class_kuru_shake.html">KuruShake</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#a6c51833d9daf915c40fc67ccc826f178">m_KuruShake</a></td></tr>
<tr class="separator:a6c51833d9daf915c40fc67ccc826f178"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b7b57fa0f01373fa5b68d5a2a310261"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#a6b7b57fa0f01373fa5b68d5a2a310261">m_CamShakeX</a></td></tr>
<tr class="separator:a6b7b57fa0f01373fa5b68d5a2a310261"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3dce7e49fd7cbdd888817fb88ae67bed"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#a3dce7e49fd7cbdd888817fb88ae67bed">m_CamShakeY</a></td></tr>
<tr class="separator:a3dce7e49fd7cbdd888817fb88ae67bed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85962449e758811197a58bc83f6cc8d1"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#a85962449e758811197a58bc83f6cc8d1">m_SwayModifier</a> = &quot;1 1 1&quot;</td></tr>
<tr class="separator:a85962449e758811197a58bc83f6cc8d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed079eaf8375c642bc85f7e0d5878d9e"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#aed079eaf8375c642bc85f7e0d5878d9e">m_SwayState</a> = -1</td></tr>
<tr class="separator:aed079eaf8375c642bc85f7e0d5878d9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8466a4b18945d41855b9bb47748d3991"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#a8466a4b18945d41855b9bb47748d3991">m_StealthAimY_Last</a></td></tr>
<tr class="separator:a8466a4b18945d41855b9bb47748d3991"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafb9caa6edd6962eb7f14de3d9107a55"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#aafb9caa6edd6962eb7f14de3d9107a55">m_FilterVelocityStealthAimY</a> [1] = {0}</td></tr>
<tr class="separator:aafb9caa6edd6962eb7f14de3d9107a55"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-attribs" name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:a6db985af6134f874aeac13bdd0757eca"><td class="memItemLeft" align="right" valign="top">static protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html#a6db985af6134f874aeac13bdd0757eca">m_AimXClampRanges</a> [] = { -180, -20, 90, 0, -50, 90, 180, -20, 90 }</td></tr>
<tr class="separator:a6db985af6134f874aeac13bdd0757eca"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00031">31</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a376634f13b9ffb562717c0e1c2ac9980" name="a376634f13b9ffb562717c0e1c2ac9980"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a376634f13b9ffb562717c0e1c2ac9980">&#9670;&#160;</a></span>DayZPlayerImplementAiming()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DayZPlayerImplementAiming::DayZPlayerImplementAiming </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d3/d85/class_day_z_player_implement.html">DayZPlayerImplement</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00072">72</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="af95b5a52b4753dd025e82ef4502e0383" name="af95b5a52b4753dd025e82ef4502e0383"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af95b5a52b4753dd025e82ef4502e0383">&#9670;&#160;</a></span>ApplyBreathingPattern()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected void DayZPlayerImplementAiming::ApplyBreathingPattern </td>
          <td>(</td>
          <td class="paramtype">out <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>x_axis</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>y_axis</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>pAmplitude</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>pTotalTime</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>weight</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00345">345</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<a id="aa75ee25797432a28364725a379d2efbd" name="aa75ee25797432a28364725a379d2efbd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa75ee25797432a28364725a379d2efbd">&#9670;&#160;</a></span>ApplyHorizontalNoise()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected void DayZPlayerImplementAiming::ApplyHorizontalNoise </td>
          <td>(</td>
          <td class="paramtype">out <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>x_axis</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>y_axis</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>smooth_time</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>max_velocity_low</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>max_velocity_high</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>velocity_modifier</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>max_distance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>weight</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>pDt</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00366">366</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<a id="a422d6ff44273a1dab0ebf4936edf4f57" name="a422d6ff44273a1dab0ebf4936edf4f57"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a422d6ff44273a1dab0ebf4936edf4f57">&#9670;&#160;</a></span>ApplyShakes()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected void DayZPlayerImplementAiming::ApplyShakes </td>
          <td>(</td>
          <td class="paramtype">out <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>x_axis</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>y_axis</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>level</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00383">383</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<a id="ad83ba2f56d93e56b7d026bc5d6aee633" name="ad83ba2f56d93e56b7d026bc5d6aee633"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad83ba2f56d93e56b7d026bc5d6aee633">&#9670;&#160;</a></span>CalculateSwayMultiplier()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerImplementAiming::CalculateSwayMultiplier </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00285">285</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<a id="aeb67ddc5015ad299e06ba838ed452cb5" name="aeb67ddc5015ad299e06ba838ed452cb5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb67ddc5015ad299e06ba838ed452cb5">&#9670;&#160;</a></span>CalculateWeight()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerImplementAiming::CalculateWeight </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>stance_index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>current_stamina</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>camera_sway_modifier</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>holding_breath</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00398">398</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<a id="a381b69db33ce6cb3e1922fe502dba684" name="a381b69db33ce6cb3e1922fe502dba684"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a381b69db33ce6cb3e1922fe502dba684">&#9670;&#160;</a></span>DbgPrintAimingImplement()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DayZPlayerImplementAiming::DbgPrintAimingImplement </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00432">432</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<a id="a0a1bfe188ba95adb6a7c8a1078967237" name="a0a1bfe188ba95adb6a7c8a1078967237"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a1bfe188ba95adb6a7c8a1078967237">&#9670;&#160;</a></span>GetCurrentSwayState()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> DayZPlayerImplementAiming::GetCurrentSwayState </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00340">340</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<a id="abc98091ae1254626687043e0bb6ed1f3" name="abc98091ae1254626687043e0bb6ed1f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abc98091ae1254626687043e0bb6ed1f3">&#9670;&#160;</a></span>GetSwayWeight()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerImplementAiming::GetSwayWeight </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00121">121</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<a id="acc1680079a3691790f8bb3702e2722f6" name="acc1680079a3691790f8bb3702e2722f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acc1680079a3691790f8bb3702e2722f6">&#9670;&#160;</a></span>OnFinisherBegin()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DayZPlayerImplementAiming::OnFinisherBegin </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>currentAimY</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00102">102</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<a id="ac274efa52a72401a258e2d773f883336" name="ac274efa52a72401a258e2d773f883336"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac274efa52a72401a258e2d773f883336">&#9670;&#160;</a></span>OnRaiseBegin()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DayZPlayerImplementAiming::OnRaiseBegin </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d3/d85/class_day_z_player_implement.html">DayZPlayerImplement</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00093">93</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<a id="af59b515adb5466085f35d43946e59e62" name="af59b515adb5466085f35d43946e59e62"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af59b515adb5466085f35d43946e59e62">&#9670;&#160;</a></span>OnSwayStateChange()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DayZPlayerImplementAiming::OnSwayStateChange </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>state</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00108">108</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<a id="acb69b3513f7600f5a64fe55e9ffe6ad4" name="acb69b3513f7600f5a64fe55e9ffe6ad4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb69b3513f7600f5a64fe55e9ffe6ad4">&#9670;&#160;</a></span>ProcessAimFilters()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> DayZPlayerImplementAiming::ProcessAimFilters </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>pDt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d4b/class_s_day_z_player_aiming_model.html">SDayZPlayerAimingModel</a>&#160;</td>
          <td class="paramname"><em>pModel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>stance_index</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >get sway</p>
<p >get recoil</p>
<p >hands offset</p>
<p >cam offset</p>
<p >clamp aim ranges</p>
<p >mouse offset</p>

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00149">149</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<a id="ac050deeb5cc0ffa05c51f0b98bfe8dff" name="ac050deeb5cc0ffa05c51f0b98bfe8dff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac050deeb5cc0ffa05c51f0b98bfe8dff">&#9670;&#160;</a></span>ProcessStealthFilters()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> DayZPlayerImplementAiming::ProcessStealthFilters </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>pDt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d4b/class_s_day_z_player_aiming_model.html">SDayZPlayerAimingModel</a>&#160;</td>
          <td class="paramname"><em>pModel</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00142">142</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<a id="a6fd70e008b079f78cb8819bba50e3f32" name="a6fd70e008b079f78cb8819bba50e3f32"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6fd70e008b079f78cb8819bba50e3f32">&#9670;&#160;</a></span>RequestKuruShake()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DayZPlayerImplementAiming::RequestKuruShake </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>amount</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00087">87</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<a id="a7ee08293f5120d82dcebb708ffce1347" name="a7ee08293f5120d82dcebb708ffce1347"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7ee08293f5120d82dcebb708ffce1347">&#9670;&#160;</a></span>SetAimNoiseAllowed()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DayZPlayerImplementAiming::SetAimNoiseAllowed </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>state</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00126">126</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<a id="a63f485cf629035fe863a297da21937ce" name="a63f485cf629035fe863a297da21937ce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a63f485cf629035fe863a297da21937ce">&#9670;&#160;</a></span>SetCamShakeValues()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DayZPlayerImplementAiming::SetCamShakeValues </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>x_axis</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>y_axis</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00136">136</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<a id="a3d9ac56d40bba9c2f335539c06f1cd89" name="a3d9ac56d40bba9c2f335539c06f1cd89"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3d9ac56d40bba9c2f335539c06f1cd89">&#9670;&#160;</a></span>SetProceduralRecoilEnabled()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DayZPlayerImplementAiming::SetProceduralRecoilEnabled </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>state</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00131">131</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<a id="a91fa5e1dea3799c9aad7d386527db11a" name="a91fa5e1dea3799c9aad7d386527db11a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a91fa5e1dea3799c9aad7d386527db11a">&#9670;&#160;</a></span>SetRecoil()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DayZPlayerImplementAiming::SetRecoil </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d3/d9c/class_weapon___base.html">Weapon_Base</a>&#160;</td>
          <td class="paramname"><em>weapon</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00079">79</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<a id="a037d2af69ad0b5b3877e1e8b33b504d0" name="a037d2af69ad0b5b3877e1e8b33b504d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a037d2af69ad0b5b3877e1e8b33b504d0">&#9670;&#160;</a></span>UpdateSwayState()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d9/db9/classbool.html">bool</a> DayZPlayerImplementAiming::UpdateSwayState </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>state</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00326">326</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a2825fd665f0c5685ecf224f44330d56c" name="a2825fd665f0c5685ecf224f44330d56c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2825fd665f0c5685ecf224f44330d56c">&#9670;&#160;</a></span>m_AimNoiseAllowed</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d9/db9/classbool.html">bool</a> DayZPlayerImplementAiming::m_AimNoiseAllowed = true</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00055">55</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<a id="a6db985af6134f874aeac13bdd0757eca" name="a6db985af6134f874aeac13bdd0757eca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6db985af6134f874aeac13bdd0757eca">&#9670;&#160;</a></span>m_AimXClampRanges</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerImplementAiming::m_AimXClampRanges[] = { -180, -20, 90, 0, -50, 90, 180, -20, 90 }</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00070">70</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<a id="a37617c72a4557b7667235739d0d72c39" name="a37617c72a4557b7667235739d0d72c39"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a37617c72a4557b7667235739d0d72c39">&#9670;&#160;</a></span>m_BreathingXAxisOffset</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerImplementAiming::m_BreathingXAxisOffset</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00052">52</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<a id="aaf0df445a4475cd2c2a6a536800e3451" name="aaf0df445a4475cd2c2a6a536800e3451"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaf0df445a4475cd2c2a6a536800e3451">&#9670;&#160;</a></span>m_BreathingYAxisOffset</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerImplementAiming::m_BreathingYAxisOffset</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00053">53</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<a id="a6b7b57fa0f01373fa5b68d5a2a310261" name="a6b7b57fa0f01373fa5b68d5a2a310261"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6b7b57fa0f01373fa5b68d5a2a310261">&#9670;&#160;</a></span>m_CamShakeX</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerImplementAiming::m_CamShakeX</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00062">62</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<a id="a3dce7e49fd7cbdd888817fb88ae67bed" name="a3dce7e49fd7cbdd888817fb88ae67bed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3dce7e49fd7cbdd888817fb88ae67bed">&#9670;&#160;</a></span>m_CamShakeY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerImplementAiming::m_CamShakeY</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00063">63</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<a id="aee711acbaadd43d0e2d43b9a32f43c2a" name="aee711acbaadd43d0e2d43b9a32f43c2a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aee711acbaadd43d0e2d43b9a32f43c2a">&#9670;&#160;</a></span>m_CurrentRecoil</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ref <a class="el" href="../../dc/dd0/class_recoil_base.html">RecoilBase</a> DayZPlayerImplementAiming::m_CurrentRecoil</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00057">57</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<a id="aafb9caa6edd6962eb7f14de3d9107a55" name="aafb9caa6edd6962eb7f14de3d9107a55"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aafb9caa6edd6962eb7f14de3d9107a55">&#9670;&#160;</a></span>m_FilterVelocityStealthAimY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerImplementAiming::m_FilterVelocityStealthAimY[1] = {0}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00068">68</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<a id="a5dc0be908be228a10ba0d896418203c6" name="a5dc0be908be228a10ba0d896418203c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5dc0be908be228a10ba0d896418203c6">&#9670;&#160;</a></span>m_HoldingBreathSet</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d9/db9/classbool.html">bool</a> DayZPlayerImplementAiming::m_HoldingBreathSet</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00054">54</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<a id="a200d64f7d2db2d5748474686312dc8b8" name="a200d64f7d2db2d5748474686312dc8b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a200d64f7d2db2d5748474686312dc8b8">&#9670;&#160;</a></span>m_HorizontalNoise</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerImplementAiming::m_HorizontalNoise</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00040">40</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<a id="af81f036519765ee432bb4afb7918e4e9" name="af81f036519765ee432bb4afb7918e4e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af81f036519765ee432bb4afb7918e4e9">&#9670;&#160;</a></span>m_HorizontalNoiseVelocity</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerImplementAiming::m_HorizontalNoiseVelocity[1] = {0}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00042">42</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<a id="a0cf4235d922a6be4c32fe3264f62ff25" name="a0cf4235d922a6be4c32fe3264f62ff25"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0cf4235d922a6be4c32fe3264f62ff25">&#9670;&#160;</a></span>m_HorizontalNoiseXAxisOffset</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerImplementAiming::m_HorizontalNoiseXAxisOffset</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00051">51</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<a id="a6024ef6da0070a819c3bc2555281dc41" name="a6024ef6da0070a819c3bc2555281dc41"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6024ef6da0070a819c3bc2555281dc41">&#9670;&#160;</a></span>m_HorizontalTargetValue</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerImplementAiming::m_HorizontalTargetValue</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00041">41</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<a id="a6c51833d9daf915c40fc67ccc826f178" name="a6c51833d9daf915c40fc67ccc826f178"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6c51833d9daf915c40fc67ccc826f178">&#9670;&#160;</a></span>m_KuruShake</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ref <a class="el" href="../../d4/d05/class_kuru_shake.html">KuruShake</a> DayZPlayerImplementAiming::m_KuruShake</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00061">61</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<a id="a01dd63ae389b140130fd1a2f923c485f" name="a01dd63ae389b140130fd1a2f923c485f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a01dd63ae389b140130fd1a2f923c485f">&#9670;&#160;</a></span>m_LastSwayMultiplier</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerImplementAiming::m_LastSwayMultiplier = PlayerSwayConstants.SWAY_MULTIPLIER_DEFAULT</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00049">49</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<a id="a750b4967c587f1936a1a758813e73922" name="a750b4967c587f1936a1a758813e73922"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a750b4967c587f1936a1a758813e73922">&#9670;&#160;</a></span>m_MaxVelocity</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerImplementAiming::m_MaxVelocity</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00060">60</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<a id="a474a799ad1307420d4f5f2333f148d7f" name="a474a799ad1307420d4f5f2333f148d7f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a474a799ad1307420d4f5f2333f148d7f">&#9670;&#160;</a></span>m_PlayerDpi</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d3/d85/class_day_z_player_implement.html">DayZPlayerImplement</a> DayZPlayerImplementAiming::m_PlayerDpi</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00043">43</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<a id="a4d684d7d97e4740fe655c325dd3d6325" name="a4d684d7d97e4740fe655c325dd3d6325"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4d684d7d97e4740fe655c325dd3d6325">&#9670;&#160;</a></span>m_PlayerPb</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> DayZPlayerImplementAiming::m_PlayerPb</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00044">44</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<a id="a067b5160a34e88d88e0f47061898fa01" name="a067b5160a34e88d88e0f47061898fa01"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a067b5160a34e88d88e0f47061898fa01">&#9670;&#160;</a></span>m_ProceduralRecoilEnabled</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d9/db9/classbool.html">bool</a> DayZPlayerImplementAiming::m_ProceduralRecoilEnabled = true</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00056">56</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<a id="a7fd1fe594a6d95b13c1a41c854e12c20" name="a7fd1fe594a6d95b13c1a41c854e12c20"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7fd1fe594a6d95b13c1a41c854e12c20">&#9670;&#160;</a></span>m_ReferenceTime</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerImplementAiming::m_ReferenceTime = 0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00046">46</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<a id="a2e90b5fb990bd895024e7a2c5808e3bb" name="a2e90b5fb990bd895024e7a2c5808e3bb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2e90b5fb990bd895024e7a2c5808e3bb">&#9670;&#160;</a></span>m_ShakeCount</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> DayZPlayerImplementAiming::m_ShakeCount</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00058">58</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<a id="a291855df24f874c0665000d577985f54" name="a291855df24f874c0665000d577985f54"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a291855df24f874c0665000d577985f54">&#9670;&#160;</a></span>m_StateStartSwayMultiplier</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerImplementAiming::m_StateStartSwayMultiplier</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00050">50</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<a id="a8466a4b18945d41855b9bb47748d3991" name="a8466a4b18945d41855b9bb47748d3991"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8466a4b18945d41855b9bb47748d3991">&#9670;&#160;</a></span>m_StealthAimY_Last</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerImplementAiming::m_StealthAimY_Last</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00067">67</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<a id="a85962449e758811197a58bc83f6cc8d1" name="a85962449e758811197a58bc83f6cc8d1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a85962449e758811197a58bc83f6cc8d1">&#9670;&#160;</a></span>m_SwayModifier</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d7/dfc/classvector.html">vector</a> DayZPlayerImplementAiming::m_SwayModifier = &quot;1 1 1&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00064">64</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<a id="aed079eaf8375c642bc85f7e0d5878d9e" name="aed079eaf8375c642bc85f7e0d5878d9e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aed079eaf8375c642bc85f7e0d5878d9e">&#9670;&#160;</a></span>m_SwayState</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> DayZPlayerImplementAiming::m_SwayState = -1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00065">65</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<a id="ac3214be209f0e750e9db41eccacc12ed" name="ac3214be209f0e750e9db41eccacc12ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac3214be209f0e750e9db41eccacc12ed">&#9670;&#160;</a></span>m_SwayStateStartTime</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerImplementAiming::m_SwayStateStartTime</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00047">47</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<a id="ac1356015b667c7fdf52df55a07507512" name="ac1356015b667c7fdf52df55a07507512"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac1356015b667c7fdf52df55a07507512">&#9670;&#160;</a></span>m_SwayWeight</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerImplementAiming::m_SwayWeight</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00059">59</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<a id="a090827eb57417688d46c02d2db813a0a" name="a090827eb57417688d46c02d2db813a0a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a090827eb57417688d46c02d2db813a0a">&#9670;&#160;</a></span>m_TotalTime</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerImplementAiming::m_TotalTime</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00045">45</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<a id="a744a0165d117333c7b0b10e97e73b2a5" name="a744a0165d117333c7b0b10e97e73b2a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a744a0165d117333c7b0b10e97e73b2a5">&#9670;&#160;</a></span>SWAY_WEIGHT_SCALER</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected const <a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerImplementAiming::SWAY_WEIGHT_SCALER = 1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >This HeadingModel - Clamps heading </p>

<p class="definition">Definition at line <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html#l00039">39</a> of file <a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Entities/<a class="el" href="../../db/d3c/_day_z_player_implement_aiming_8c_source.html">DayZPlayerImplementAiming.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d5/d80/class_day_z_player_implement_aiming.html">DayZPlayerImplementAiming</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
